Package io.vertx.tracing.zipkin

## Class ZipkinTracingOptions

- java.lang.Object
- - io.vertx.core.tracing.TracingOptions
  - - io.vertx.tracing.zipkin.ZipkinTracingOptions

-     public class ZipkinTracingOptions
      extends TracingOptions

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `DEFAULT_SERVICE_NAME` |
    `static boolean` | `DEFAULT_SUPPORTS_JOIN` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ZipkinTracingOptions()` |
    `ZipkinTracingOptions​(brave.http.HttpTracing httpTracing)` |
    `ZipkinTracingOptions​(brave.Tracing tracing)` |
    `ZipkinTracingOptions​(JsonObject json)` |
    `ZipkinTracingOptions​(ZipkinTracingOptions other)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ZipkinTracer` | `buildTracer()` | Build the tracer and return it.
    `ZipkinTracingOptions` | `copy()` |
    `brave.sampler.Sampler` | `getSampler()` |
    `HttpSenderOptions` | `getSenderOptions()` |
    `String` | `getServiceName()` |
    `boolean` | `isSupportsJoin()` |
    `ZipkinTracingOptions` | `setSampler​(brave.sampler.Sampler sampler)` | Set the Zipkin Sampler.
    `ZipkinTracingOptions` | `setSenderOptions​(HttpSenderOptions senderOptions)` | Set the HTTP sender options to use for reporting spans.
    `ZipkinTracingOptions` | `setServiceName​(String serviceName)` | Set the service name to use.
    `ZipkinTracingOptions` | `setSupportsJoin​(boolean supportsJoin)` | Configures `Tracing.Builder.supportsJoin(boolean)` option.
    `JsonObject` | `toJson()` |

    - ### Methods inherited from class io.vertx.core.tracing.TracingOptions

      `toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_SERVICE_NAME

          public static final String DEFAULT_SERVICE_NAME

      See Also:
        Constant Field Values

    - #### DEFAULT_SUPPORTS_JOIN

          public static final boolean DEFAULT_SUPPORTS_JOIN

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ZipkinTracingOptions

          public ZipkinTracingOptions​(brave.http.HttpTracing httpTracing)

    - #### ZipkinTracingOptions

          public ZipkinTracingOptions​(brave.Tracing tracing)

    - #### ZipkinTracingOptions

          public ZipkinTracingOptions()

    - #### ZipkinTracingOptions

          public ZipkinTracingOptions​(ZipkinTracingOptions other)

    - #### ZipkinTracingOptions

          public ZipkinTracingOptions​(JsonObject json)

  - ### Method Detail

    - #### copy

          public ZipkinTracingOptions copy()

      Overrides:
        `copy` in class `TracingOptions`

    - #### getServiceName

          public String getServiceName()

      Returns:
        the service name

    - #### setServiceName

          public ZipkinTracingOptions setServiceName​(String serviceName)

      Set the service name to use.
      Parameters:
        `serviceName` - the service name
      Returns:
        this instance

    - #### isSupportsJoin

          public boolean isSupportsJoin()

      Returns:
        `Tracing.Builder.supportsJoin(boolean)` option value

    - #### setSupportsJoin

          public ZipkinTracingOptions setSupportsJoin​(boolean supportsJoin)

      Configures `Tracing.Builder.supportsJoin(boolean)` option.
      Parameters:
        `supportsJoin` - the config value
      Returns:
        this instance

    - #### getSenderOptions

          public HttpSenderOptions getSenderOptions()

      Returns:
        the sender options

    - #### setSenderOptions

          public ZipkinTracingOptions setSenderOptions​(HttpSenderOptions senderOptions)

      Set the HTTP sender options to use for reporting spans.
      Parameters:
        `senderOptions` - the options
      Returns:
        this instance

    - #### getSampler

          public brave.sampler.Sampler getSampler()

      Returns:
        the Zipkin Sampler

    - #### setSampler

          public ZipkinTracingOptions setSampler​(brave.sampler.Sampler sampler)

      Set the Zipkin Sampler.
      Parameters:
        `sampler` - the options
      Returns:
        this instance

    - #### buildTracer

          public ZipkinTracer buildTracer()

      Build the tracer and return it.

    - #### toJson

          public JsonObject toJson()

      Overrides:
        `toJson` in class `TracingOptions`